:root {
    --red: #ed3237;
    --yellow: #f9f186;
    --brown: rgba(119, 60, 21, 0.63);
    --green: green;
    --dark-blue: #3f74aa;
    --black: black;
    --white: white;
}

body {
    background: var(--yellow);
    font-weight: bold;
}

a {
    cursor: pointer;
    color: white;
    opacity: 1;
}

a:hover {
    color: white;
    opacity: .9;
    /* box-shadow: 0 0 1em grey; */
    text-decoration: initial;
}

p {
    margin: 10px;
    color: var(--black);
}

/*----------------------------------SPECIALS*/
.title,
.sub-title{
    color: var(--red);
    font-weight: 800;
    font-family:-apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    font-size: 1.8rem;
}
.title {
    color: var(--red);
    text-align: center;
    margin: 3rem 0;
    font-size: 2.5rem;
}
.flex {
    width: 100%;
    display: inline-flex;
    align-items: center;
    justify-content: space-around;
    z-index: 0;
}

#btn-products {
    background: rgb(41, 41, 41);
    color: white !important;

    border-radius: 20px !important;
    border: 2px black solid;
    padding: 8px !important;
    margin: 5px;
}

#btn-products:hover {
    background: rgba(0, 0, 0, 0);
    color: black !important;

}

#linear-gradient {
    position: fixed;
    width: 100vw;
    height: 15px;
    top: 20px;

    background: linear-gradient(var(--red) 1%, var(--yellow) 99%);
    z-index: 2000;
}

.separator a {
    border-right: 1px solid white;
    padding: 0 15px;
}

.separator a:last-child {
    border-right: 0px;
    padding: 0 15px;
}

.black {
    border: black 1px solid;
}
.white{
    border: 1px solid white;
}

.red {
    border: var(--red) 1px solid;
}

.bg-brawn {
    background: var(--brown);
}

.bg-red {
    background: var(--red);
}
.bg-yellow{
    background: var(--yellow);
}

.block {
    display: block;
}

/*----------------------------------HEADER*/
header {
    position: fixed !important;
    display: inline-flex;
    align-items: center;
    justify-content: space-evenly;
    top: 0;

    width: 100vw;
    height: 20px;

    color: white;
    background: var(--red);
    z-index: 1031;
}

header a {
    font-weight: initial;
}

/*----------------------------------MAINNAV*/
#mainNav {
    background: var(--yellow) !important;
    margin-bottom: 5px;
    border-bottom: 5px solid var(--red);
    padding-top: 35px;
}

.nav-link {
    opacity: 1;
    color: var(--black) !important;
}

.nav-link:hover {
    opacity: .8;
}

#link-home-logo {
    margin-bottom: 0;
    padding-bottom: 0;
}

#home-logo {
    width: 200px;
    transition: 500ms;
}

/*----------------------------------SLIDER*/
#Slider-images {
    border-top: var(--red) 5px solid;
    border-bottom: var(--red) 5px solid;
    padding: 0;
    margin-top: 140px;
}

.carousel-inner {
    height: 100%;
    width: 100%;
}

.Slider-image {
    object-fit: cover;
}


/*----------------------------------ABOUT US*/
#about {
    background: var(--yellow);
}

/*----------------------------------PRODUCTS*/
#products {
    background: var(--red);
}

#container-products {
    width: 100%;
    display: flex;
    position: relative;
}

.img-product {
    margin: 10px;
    filter: grayscale(100%);
    cursor: pointer;

    max-width: 300px;
    max-height: 300px;
}

.img-product:hover {
    filter: grayscale(10%);
    transition: 500ms;
    cursor: pointer;
}

.list-of-items {
    flex-direction: column;
}

.sub-item {
    margin: 10px;
}

.container-slide-products{
    width: 960px;
    height: 325px;
    display: flex;
    overflow-x: hidden;
    scroll-behavior: smooth;
}

.ico-right, .ico-left{
    position: absolute;
    color: white;
    font-size: 6rem;
    top: 90px;
    cursor: pointer;
}
.ico-right{ right: 40px }
.ico-left{ left: 40px }


/*----------------------------------locale*/
#locale {
    padding: 100px 20px;
}

#text-locale {
    width: 40%;
}

#text-locale h3 {
    font-size: 2rem;
}

#text-locale p {
    margin: 0;
}

#locale iframe {
    height: 400px;
    width: 450px;
}

/*----------------------------------CONTACT*/
#subject {
    width: 100%;
    background: white;
    border: var(--green) .5px solid;
    height: 40px;
    padding: 5px;

    border-radius: 5px;
}

#contact {
    background: white;
}

#submitButton {
    cursor: pointer;
    pointer-events: all;
    opacity: .7;

    height: 50px;
    width: 100%;

    border-radius: .5rem;
}

#submitButton:hover {
    opacity: 1;
}

/*------------------------------FOOTER*/
footer {
    background: rgb(177, 2, 2) !important;
}

.btn-social {
    padding: 5px;
    border-radius: 50%;
    font-size: 1.8rem;
}

footer p {
    color: white;
}

.copyright {
    background: rgb(105, 2, 2);
}

/*------------------------------------------PRODUCTS PAGE-----------------------------------------*/
main {
    width: 100vw;
    padding: 2rem;
    text-align: left;
}

#products-list {
    padding: 1.5rem .5rem;
    width: 100%;

    display: flex;
    flex-direction: column;
}

.item {
    width: 100%;
    height: 50px;
    margin: 5px;

    font-size: 1.5rem;
    border-radius: 0 0 15px 15px;
    border-top: 1px solid var(--red);
    margin-bottom: 50px;
    color: black;
    padding: 5px;


    transition: 500ms;
}

#item p,
#item div {
    font-size: 1.3rem;
    font-weight: 400;
}

.item-description {
    width: 100%;
    display: inline-flex;
    justify-content: space-between;
}

.description-whereIFound {
    font-style: italic;
    font-size: 15px;
    text-align: center;
}

.description-of-the-product {
    font-weight: 400;
    font-size: 15px;
    font-style: italic;

    padding: 20px;
    width: 700px;

    border: 1px solid black;
}

.grow-spam {
    cursor: pointer;
    z-index: 10;
}

.grow-image{
    cursor: pointer;
}

/*-----------------specials*/
.selected {
    background: var(--white) !important;
    height: 200px;
    display: block;
}

.selected .hide-and-show,
.selected2 .hide-and-show {
    opacity: 1;
}

.noDisplay {
    display: none;
}

.al-left {
    text-align: left;
}

.hide-and-show {
    opacity: 0;
    transition: 450ms;

    pointer-events: none;
}

.item.selected .hide-and-show {
    pointer-events: all;
}


.hide-and-show img {
    width: 100px;
    height: 100px;
    margin: 10px;
}

.hide-and-show .p {
    color: red;
}



/*------------------------------MOBILE*/
@media (max-width: 990px) {
    .selected {
        height: auto;
    }

    #mainNav {
        margin-top: 1.5rem;
    }

    #home-logo {
        max-width: 150px;
        max-height: 150px;
    }

    #about-us-image {
        width: 100%;
    }

    #container-products {
        flex-direction: column;
    }

    .img-product {
        filter: grayscale(0);
    }

}

@media (max-width: 700px) {
    .title{
        font-size: 1.8rem;
    }
    .sub-title{
        font-size: 1.3rem;
    }
    .contact-desktop {
        display: none;
    }

    header {
        position: fixed;
        justify-content: space-around;
    }

    #about-us-image {
        max-width: 90%;
    }

    #locale {
        flex-direction: column;
    }

    #locale #text-locale {
        width: 100%;
    }
}